# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-html

# common part of summary for all the subpackages
%global common_summary Fast HTML combinator library for Haskell

# main description used for all the subpackages
%global common_description BlazeHtml is a blazingly fast HTML combinator library for\
the Haskell programming language. It embeds HTML templates in Haskell code\
for optimal efficiency and composability.\
The project is aimed at those who seek to write web applications in Haskell\
 — it integrates well with all Haskell web frameworks.

# Haskell library dependencies (used for buildrequires and devel/prof subpkg requires)
%global ghc_pkg_deps ghc-blaze-builder-devel, ghc-text-devel

Name:           ghc-%{pkg_name}
Version:        0.4.1.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9 ppc64
BuildRequires:  ghc, ghc-doc, ghc-prof
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_deps:BuildRequires:  %{ghc_pkg_deps}, %(echo %{ghc_pkg_deps} | sed -e "s/\(ghc-[^, ]\+\)-devel/\1-doc,\1-prof/g")}

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the devel and prof subpkgs, devel post[un] scripts, and filelists:
# ghc-%pkg_name{,devel,prof}.files
%ghc_lib_package


%changelog
* Tue May  3 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.1-1
- update to 0.4.1.1
- cabal2spec-0.22.6

* Sat Mar 26 2011 Jens Petersen <petersen@redhat.com> - 0.4.1.0-1
- BSD license
- depends on ghc-text and ghc-blaze-builder

* Sat Mar 26 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4.1.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.5
